| Flutter Impeller |

Public Member Functions | List of all members
impeller::LazyRenderingConfig Class Reference

`#include <canvas.h>`

## Public Member Functions
| LazyRenderingConfig (ContentContext &renderer, std::unique_ptr< EntityPassTarget > p_entity_pass_target)
| LazyRenderingConfig (LazyRenderingConfig &&)=default
bool | IsApplyingClearColor () const
| Whether or not the clear color texture can still be updated. More...
EntityPassTarget * | GetEntityPassTarget () const
InlinePassContext * | GetInlinePassContext () const

## Detailed Description

Definition at line 99 of file canvas.h.

## Constructor & Destructor Documentation

## ◆ LazyRenderingConfig() [1/2]

impeller::LazyRenderingConfig::LazyRenderingConfig | ( | ContentContext & | renderer,
|  | std::unique_ptr< EntityPassTarget > | p_entity_pass_target
| ) |  |

Definition at line 2119 of file canvas.cc.

2122 : entity_pass_target_(std::move(p_entity_pass_target)) {
2123 inline_pass_context_ =
2124 std::make_unique<InlinePassContext>(renderer, *entity_pass_target_);
2125 }

## ◆ LazyRenderingConfig() [2/2]

impeller::LazyRenderingConfig::LazyRenderingConfig | ( | LazyRenderingConfig && |  | ) |
| default

## Member Function Documentation

## ◆ GetEntityPassTarget()

EntityPassTarget * impeller::LazyRenderingConfig::GetEntityPassTarget | ( |  | ) | const

Definition at line 2131 of file canvas.cc.

2131 {
2132 return entity_pass_target_.get();
2133 }

## ◆ GetInlinePassContext()

InlinePassContext * impeller::LazyRenderingConfig::GetInlinePassContext | ( |  | ) | const

Definition at line 2135 of file canvas.cc.

2135 {
2136 return inline_pass_context_.get();
2137 }

Referenced by impeller::Canvas::GetLocalCoverageLimit().

## ◆ IsApplyingClearColor()

bool impeller::LazyRenderingConfig::IsApplyingClearColor | ( |  | ) | const

Whether or not the clear color texture can still be updated.

Definition at line 2127 of file canvas.cc.

2127 {
2128 return !inline_pass_context_->IsActive();
2129 }

The documentation for this class was generated from the following files:

- impeller/display_list/canvas.h
- impeller/display_list/canvas.cc